Redmine - Feature #9612

"side by side" and "inline" patch view for attachments

2011-11-20 07:05 - Toshi MARUYAMA

Status: Closed Start date: 2011-11-20
Priority: Normal Due date:

Assignee: Toshi MARUYAMA % Done: 100%
Category: Attachments Estimated time: 0.00 hour
Target version: 1.3.0

Resolution: Fixed

Description

Like SCM diff view.

7847 _to_7849.patch

Redmine Admin

Download (3.9 kB)
View differences | side by side ¥

b/app/controllers/attachments_controller.rb
format._html {
if @attachment.is_diff?

Bdiff = File.new(@attachment.diskfile,

render :action =» "diff’

"rb®).read

format.html {
if @Battachment.
@diff = File.
Bdiff_type =

"inline”

elsif @attachment.is_text? && @attachment.filesize <=

Setting.file max_size displayed.to_i.kilobyte

Bdiff_type =
render :actic

elsif @attachme

Setting.file max_size t

@content = File.new{@attachment.diskfile, “rb").read

@content = Fi

Associated revisions

Revision 7860 - 2011-11-20 07:13 - Toshi MARUYAMA

attachment: add a new feature to switch "side by side" and "inline" for patches (#9612)

Revision 7861 - 2011-11-20 07:13 - Toshi MARUYAMA

attachment: update functional tests to switch "side by side" and "inline" for patches (#9612)

Revision 7873 - 2011-11-20 13:17 - Toshi MARUYAMA

attachment: update a functional test to switch "side by side" and "inline" for ISO-8859-1 patches (#2371, #9612)

Revision 7885 - 2011-11-22 01:08 - Toshi MARUYAMA

attachment: add missing diff type at functional tests (#2371, #9612)

History

#1 - 2011-11-20 07:14 - Toshi MARUYAMA
- % Done changed from 0 to 100

#2 - 2011-11-29 23:34 - Toshi MARUYAMA
- Status changed from New to Closed

- Resolution set to Fixed

Committed in r7885.

2025-05-02

1/2



https://www.redmine.org/projects/redmine/repository/svn/revisions/7885
